Skip to main content
POST
/
filtering-rules
Set filtering rules
curl --request POST \
  --url https://management-api.fpjs.io/filtering-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Version: <x-api-version>' \
  --data '
{
  "environment": "<string>",
  "allow": [
    "<string>"
  ],
  "deny": [
    "<string>"
  ]
}
'
import requests

url = "https://management-api.fpjs.io/filtering-rules"

payload = {
    "environment": "<string>",
    "allow": ["<string>"],
    "deny": ["<string>"]
}
headers = {
    "X-API-Version": "<x-api-version>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-API-Version': '<x-api-version>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({environment: '<string>', allow: ['<string>'], deny: ['<string>']})
};

fetch('https://management-api.fpjs.io/filtering-rules', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "type": "origin",
      "environment": "ae_rrETjdWcfqI6AFsk",
      "allow": [
        "example.com",
        "my-website.com"
      ],
      "deny": [
        "*"
      ]
    }
  ]
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "violations": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Version
string
required

Management API version.

Body

application/json
environment
string
required

Environment for which to set filtering rule.

allow
string[]
required

List of origin domains that are allowed to make requests, making all other domains denied by default. When setting the allow list, you must explicitly set the deny list to wildcard value (['*']).

deny
string[]
required

List of origin domains that are denied to make requests, making all other domains allowed by default. When setting the deny list, you must explicitly set the allow list to wildcard value (['*']).

Response

data
object[]
required